How to make Static libraries which qmake to use



  • I have qt-all-opensource-src-4.3.3 and I am getting following error when I doing a

    If I have make static libraries of libQtCore.a and libQtGui.a then do I have use qmake of qt-4.3.3 version only


  • Moderators

    @Qt-Enthusiast May I ask why you're using such an ancient Qt version? Last Qt4 is 4.8.7 as far as I know.
    Furthermore you should tell on which Platform you are and which compiler you're using.






  • Can some one can guide me on this



  • I made static library for QT

    libQtCore.a

    libQtGui.a

    When I am integrated these libraries in my tool I am getting following errors

    libQtGui.a

    libQtGui.a(qfontdatabase.o): In function _ZL12registerFontPN20QFontDatabasePrivate15ApplicationFontE': qfontdatabase.cpp:(.text+0x3bb8): undefined reference toFcFreeTypeQueryFace'

    hidden symbol `_ZN9QListData7detach2Ev' in libQtCore.a(qlistdata.o) is referenced by DSO
    /usr/bin/ld: final link failed: Nonrepresentable section on output
    collect2: error: ld returned 1 exit status

    Can some one guide me on this how to resolve this issue


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.